Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class PaperSize

    java.lang.Object
      org.apache.poi.ss.usermodel.PaperSize

    public class PaperSize

extends java.lang.Object

The enumeration value indicating the possible paper size for a sheet

Author:
  Daniele Montagni

Field Summary
`static PaperSize` | `A3_PAPER`
`static PaperSize` | `A4_PAPER`
`static PaperSize` | `A4_SMALL_PAPER`
`static PaperSize` | `A5_PAPER`
`static PaperSize` | `B4_PAPER`
`static PaperSize` | `B5_PAPER`
`static PaperSize` | `EXECUTIVE_PAPER`
`static PaperSize` | `FOLIO_PAPER`
`static PaperSize` | `LEDGER_PAPER`
`static PaperSize` | `LEGAL_PAPER`
`static PaperSize` | `LETTER_PAPER`
`static PaperSize` | `LETTER_SMALL_PAPER`
`static PaperSize` | `QUARTO_PAPER`
`static PaperSize` | `STANDARD_PAPER_10_14`
`static PaperSize` | `STANDARD_PAPER_11_17`
`static PaperSize` | `STATEMENT_PAPER`
`static PaperSize` | `TABLOID_PAPER`

Constructor Summary
`PaperSize(int i)`

Method Summary
`int` | `getOrdinal()`
`static PaperSize[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LETTER_PAPER

    public static final PaperSize LETTER_PAPER

### LETTER_SMALL_PAPER

    public static final PaperSize LETTER_SMALL_PAPER

### TABLOID_PAPER

    public static final PaperSize TABLOID_PAPER

### LEDGER_PAPER

    public static final PaperSize LEDGER_PAPER

### LEGAL_PAPER

    public static final PaperSize LEGAL_PAPER

### STATEMENT_PAPER

    public static final PaperSize STATEMENT_PAPER

### EXECUTIVE_PAPER

    public static final PaperSize EXECUTIVE_PAPER

### A3_PAPER

    public static final PaperSize A3_PAPER

### A4_PAPER

    public static final PaperSize A4_PAPER

### A4_SMALL_PAPER

    public static final PaperSize A4_SMALL_PAPER

### A5_PAPER

    public static final PaperSize A5_PAPER

### B4_PAPER

    public static final PaperSize B4_PAPER

### B5_PAPER

    public static final PaperSize B5_PAPER

### FOLIO_PAPER

    public static final PaperSize FOLIO_PAPER

### QUARTO_PAPER

    public static final PaperSize QUARTO_PAPER

### STANDARD_PAPER_10_14

    public static final PaperSize STANDARD_PAPER_10_14

### STANDARD_PAPER_11_17

    public static final PaperSize STANDARD_PAPER_11_17

Constructor Detail

### PaperSize

    public PaperSize(int i)

Method Detail

### getOrdinal

    public int getOrdinal()

### values

    public static PaperSize[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD